Bug 66204 - garden-o-matic should be able to rebaseline expected failures
Summary: garden-o-matic should be able to rebaseline expected failures
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Adam Barth
URL:
Keywords:
Depends on:
Blocks: 64188
  Show dependency treegraph
 
Reported: 2011-08-14 02:31 PDT by Adam Barth
Modified: 2011-08-17 13:16 PDT (History)
2 users (show)

See Also:


Attachments
work-in-progress (breaks garden-o-matic) (16.39 KB, patch)
2011-08-14 02:32 PDT, Adam Barth
no flags Details | Formatted Diff | Diff
more work (18.57 KB, patch)
2011-08-15 16:03 PDT, Adam Barth
no flags Details | Formatted Diff | Diff
Machine transfer (26.37 KB, patch)
2011-08-17 11:15 PDT, Adam Barth
no flags Details | Formatted Diff | Diff
Patch (29.49 KB, patch)
2011-08-17 12:31 PDT, Adam Barth
dglazkov: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Barth 2011-08-14 02:31:31 PDT
garden-o-matic should be able to rebaseline expected failures
Comment 1 Adam Barth 2011-08-14 02:32:23 PDT
Created attachment 103877 [details]
work-in-progress (breaks garden-o-matic)
Comment 2 Adam Barth 2011-08-14 02:34:44 PDT
Noel asked for this feature.  (Also, this gives me an opportunity to re-build the results detail view using our fancy object-oriented toolkit.)
Comment 3 Adam Barth 2011-08-14 02:39:32 PDT
@dglakov: Thoughts on how to upcall from views to controllers?  This patch uses two approaches:

1) Direct function calls on a controller object (e.g., to fetch information from the network).
2) onFooBar properties, which can be overridden to observe events.

Instead of onFooBar properties, we could use honest-to-goodness DOM events (e.g., triggering them with http://api.jquery.com/trigger/ or manually).
Comment 4 Dimitri Glazkov (Google) 2011-08-14 09:28:02 PDT
(In reply to comment #3)
> @dglakov: Thoughts on how to upcall from views to controllers?  This patch uses two approaches:
> 
> 1) Direct function calls on a controller object (e.g., to fetch information from the network).
> 2) onFooBar properties, which can be overridden to observe events.
> 
> Instead of onFooBar properties, we could use honest-to-goodness DOM events (e.g., triggering them with http://api.jquery.com/trigger/ or manually).

Firing/listening to events sounds nice and easy to do:

var event = document.createEvent("Event");
event.initEvent("TheRooTheRoofTheRoof", false, false);
event.isOn = "fire";
target.dispatchEvent(event);
Comment 5 Adam Barth 2011-08-15 16:03:33 PDT
Created attachment 103971 [details]
more work
Comment 6 Adam Barth 2011-08-17 11:15:15 PDT
Created attachment 104197 [details]
Machine transfer
Comment 7 Adam Barth 2011-08-17 12:31:41 PDT
Created attachment 104213 [details]
Patch
Comment 8 Dimitri Glazkov (Google) 2011-08-17 13:08:08 PDT
Comment on attachment 104213 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=104213&action=review

> Tools/BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/controllers.js:30
> +contollers.resultsDetails = base.extends(Object, {

ResultsDetails
Comment 9 Adam Barth 2011-08-17 13:16:04 PDT
Committed r93236: <http://trac.webkit.org/changeset/93236>